<ion-header>
  <ion-navbar hideBackButton="true">
    <ion-buttons left>
  <button (click)="goBack()" ion-button icon-only style="margin-left: 10px">
    <ion-icon name="md-arrow-back"></ion-icon>
  </button>
</ion-buttons>
    <ion-title>Índice de massa corporal</ion-title>
    <ion-buttons end>
      <div class="icone-imagem">
        <img src="{{ photo }}" class="icone-imagem" (click)="addPerfil2()">
      </div>
    </ion-buttons>
    <!--
    <ion-buttons end>
      <button ion-button icon-only (click)="addImc()" >
        <ion-icon name="add-circle"></ion-icon>
      </button>
    </ion-buttons>
  -->
  </ion-navbar>

</ion-header>


<ion-content padding>
    <div class="titulo-testes">Resultado</div>
    <ion-list style="margin:0; padding:0" *ngFor="let imc of imcs; let i=index">
        <div class="texto-data">{{imc.data_exame | date:"dd/MM/yyyy"}} 
            <button ion-button icon-only  (click)="deleteImc(imc.id_imc)" class="button"  >
             <ion-icon name="ios-trash" color="danger"></ion-icon>
           </button></div>

     
      <div class="valor-teste">{{ imc.calculo_string }}<span class="cm"> Kg/m²</span></div>
      <div class="quebra">
       <span *ngIf="(imc.calculo_imc > 27 )"><div class="circulo_testes"><img src="assets/imgs/circulo_vermelho.png"></div><div class="circulo-texto2">Sobrepeso</div></span>
        <span *ngIf="(imc.calculo_imc >= 22) && (imc.calculo_imc <=27) "><div class="circulo_testes"><img src="assets/imgs/circulo_verde.png"></div><div class="circulo-texto2">Peso Adequado</div></span>
        <span *ngIf="(imc.calculo_imc < 22)"><div class="circulo_testes"><img src="assets/imgs/circulo_vermelho.png"></div> <div class="circulo-texto2">Baixo Peso</div></span>
        <br>
        <div class="quebra">
            <ion-card color="fundo-item">
                <ion-card-content>
                  <ion-card-title class="texto-titulo-avaliacao">
                  <strong>Recomendações</strong>
                  </ion-card-title>
            <span *ngIf="(imc.calculo_imc > 27 )" class="texto-recomendacaoes" text-wrap>Atenção. Seu IMC está acima do adequado. Talvez seja necessário uma reorientação nutricional e verificação de outros fatores que dificultem o equilíbrio do IMC. Seria indicado que procurasse o serviço de saúde mais próximo para verificar questões nutricionais, possíveis distúrbios e avaliar a possibilidade de ingressar e/ou adaptar a participação em atividades físicas.</span>
            <span *ngIf="(imc.calculo_imc >= 22) && (imc.calculo_imc <=27)" class="texto-recomendacaoes" text-wrap>Parabéns! Você está com o peso adequado. É provável que tenha uma dieta saudável, pratique atividades físicas e tenha fatores genéticos favoráveis. Mantenha seus hábitos e verifique seu IMC a cada seis meses.</span>
            <span *ngIf="(imc.calculo_imc < 22)" class="texto-recomendacaoes" text-wrap>Atenção. Seu IMC está abaixo do adequado. Talvez existam fatores interferindo no seu apetite ou estado nutricional. A falta de exercícios, especialmente exercícios de resistência e força, contribuem para perdas musculares (sarcopenia) e ósseas (osteoporose). Seria indicado que procurasse o serviço de saúde mais próximo para verificar essas possibilidades.</span>
            <div class="referencia" text-wrap>
              <span class="fontes">Fonte(s):<br></span>
              Caderneta Virtual de Saúde da Pessoa Idosa<br><br>
              
              Caderno de Atenção Básica nº 19 - Envelhecimento e
              Saúde da Pessoa Idosa<br><br><br>
              <span class="atencao">Obs: As avaliações e orientações fornecidas nesse aplicativo não substituem a consulta médica.</span>
             </div>
            <br>
                </ion-card-content>
            </ion-card>

        </div>
        </div>

    </ion-list>

</ion-content>
